import { Card, Grid, Typography } from '@mui/material';
import { useParams } from 'react-router-dom';
import HeaderBreadcrumbs from '../../../components/HeaderBreadcrumbs';
import Page from '../../../components/Page';
import useSettings from '../../../hooks/useSettings';
import CorporateTabNavigations from '../CorporateTabNavigations';
import DivisionsList from './List';

import { useContext, useEffect, useState } from 'react';
import { ConfiguredCorporateContext } from '@/contexts/ConfiguredCorporateContext';
import { Corporate } from '@/@types/corporates';

export default function Divisions() {
  const { themeStretch } = useSettings();

  const { corporate_id } = useParams();

  const [corporate, setCorporate] = useState<Corporate | null>();

  const configuredCorporateContext = useContext(ConfiguredCorporateContext);

  useEffect(() => {
    setCorporate(configuredCorporateContext.currentCorporate);
  }, [configuredCorporateContext]);

  return (
    <Page title="Hospitals">
      <HeaderBreadcrumbs
        heading={'Hospitals'}
        links={[
          {
            name: 'Corporates',
            href: '/corporates',
          },
          {
            name: corporate?.name ?? '-',
            href: '/corporates/' + corporate_id,
          },
          {
            name: 'Hospitals',
            href: '/corporates/' + corporate_id + '/hospitals',
          },
        ]}
      />

      <Card>
        <CorporateTabNavigations position={'hospitals'} />
        <Typography sx={{ m: 4 }}>Feature Not Implemented Yet</Typography>
      </Card>
    </Page>
  );
}
